Bug 1015675 - Add support to tuned for setting MSR_IA32_ENERGY_PERF_BIAS Intel CPU MSR
Add support to tuned for setting MSR_IA32_ENERGY_PERF_BIAS Intel CPU MSR
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned (Show other bugs)
7.0
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Jaroslav Škarvada
Branislav Blaškovič
:
Depends On:
Blocks: 1027250
  Show dependency treegraph
 
Reported: 2013-10-04 15:54 EDT by Jeremy Eder
Modified: 2014-06-18 03:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: tuned-2.3.0-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Newer Intel CPUs have MSR tuning knob called MSR_IA32_ENERGY_PERF_BIAS which can be used for controlling bias to performance or powersave. Previously, Tuned didn't know how to control the MSR_IA32_ENERGY_PERF_BIAS. Consequence: The MSR_IA32_ENERGY_PERF_BIAS wasn't modified in the Tuned profiles, which could lead to negative impacts on performance / powersave. Fix: The code for controlling the MSR_IA32_ENERGY_PERF_BIAS was added into Tuned. Result: If kernel-tools package is installed, Tuned now modifies the MSR_IA32_ENERGY_PERF_BIAS according to selected profile.
Story Points: ---
Clone Of:
: 1027250 (view as bug list)
Environment:
Last Closed: 2014-06-13 05:35:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Jaroslav Škarvada 2013-10-16 07:47:23 EDT
Using kernel-tools - we are using existing tools rather then rewriting their functionality.

Using:
'normal' policy for balanced profile
'performance' policy for throughput-performance and throughput-latency profiles
'powersave' policy for powersave profile
Comment 3 Jaroslav Škarvada 2013-10-16 07:50:01 EDT
> 'performance' policy for throughput-performance and throughput-latency
> profiles
'performance' policy for throughput-performance and latency-performance profiles
Comment 5 Jaroslav Škarvada 2013-10-23 04:59:07 EDT
Upstream commit adding this feature:
https://git.fedorahosted.org/cgit/tuned.git/commit/?id=59e259a3ceb3d6e943c3d16e71be996047431459
Comment 7 Branislav Blaškovič 2014-01-06 09:57:51 EST
New testcase created (attached)

Testing with tuned-2.3.0-4.el7.noarch

Log:
cpu3: 0x0000000000000006
:: [ 15:52:25 ] ::  balanced profile - should have normal
:: [   PASS   ] :: Running 'tuned-adm profile balanced' (Expected 0, got 0)
cpu0: 0x0000000000000006
cpu1: 0x0000000000000006
cpu2: 0x0000000000000006
cpu3: 0x0000000000000006
:: [ 15:52:28 ] :: [ INFO    ] :: rlRun: command = '/bin/x86_energy_perf_policy -r'; exitcode = 0; expected = 0
:: [   PASS   ] :: Running '/bin/x86_energy_perf_policy -r' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/tmp/tmp.b81iA7MgJB' should contain '0x0000000000000006'

:: [ 15:52:29 ] ::  latency-performance profile - should have performance
:: [   PASS   ] :: Running 'tuned-adm profile latency-performance' (Expected 0, got 0)
cpu0: 0x0000000000000000
cpu1: 0x0000000000000000
cpu2: 0x0000000000000000
cpu3: 0x0000000000000000
:: [ 15:52:32 ] :: [ INFO    ] :: rlRun: command = '/bin/x86_energy_perf_policy -r'; exitcode = 0; expected = 0
:: [   PASS   ] :: Running '/bin/x86_energy_perf_policy -r' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/tmp/tmp.1kQ9hqUbKB' should contain '0x0000000000000000'

:: [ 15:52:33 ] ::  throughput-performance profile - should have performance
:: [   PASS   ] :: Running 'tuned-adm profile throughput-performance' (Expected 0, got 0)
cpu0: 0x0000000000000000
cpu1: 0x0000000000000000
cpu2: 0x0000000000000000
cpu3: 0x0000000000000000
:: [ 15:52:35 ] :: [ INFO    ] :: rlRun: command = '/bin/x86_energy_perf_policy -r'; exitcode = 0; expected = 0
:: [   PASS   ] :: Running '/bin/x86_energy_perf_policy -r' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/tmp/tmp.Kbl2pRdK14' should contain '0x0000000000000000'

:: [ 15:52:36 ] ::  powersave profile - should have powersave
:: [   PASS   ] :: Running 'tuned-adm profile powersave' (Expected 0, got 0)
cpu0: 0x000000000000000f
cpu1: 0x000000000000000f
cpu2: 0x000000000000000f
cpu3: 0x000000000000000f
:: [ 15:52:39 ] :: [ INFO    ] :: rlRun: command = '/bin/x86_energy_perf_policy -r'; exitcode = 0; expected = 0
:: [   PASS   ] :: Running '/bin/x86_energy_perf_policy -r' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/tmp/tmp.jPwlHjZB3F' should contain '0x000000000000000f'
Comment 8 Ludek Smid 2014-06-13 05:35:26 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.